Package org.jboss.resteasy.spi.util

## Class Types.ResteasyParameterizedType

- java.lang.Object
- - org.jboss.resteasy.spi.util.Types.ResteasyParameterizedType

- All Implemented Interfaces:
    `ParameterizedType`, `Type`
  Enclosing class:
    Types

      public static class Types.ResteasyParameterizedType
      extends Object
      implements ParameterizedType

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResteasyParameterizedType​(Type[] actuals, Type rawType, Type ownerType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object other)` |
    `Type[]` | `getActualTypeArguments()` |
    `Type` | `getOwnerType()` |
    `Type` | `getRawType()` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.reflect.Type

      `getTypeName`

- - ### Constructor Detail

    - #### ResteasyParameterizedType

          public ResteasyParameterizedType​(Type[] actuals,
                                           Type rawType,
                                           Type ownerType)

  - ### Method Detail

    - #### getActualTypeArguments

          public Type[] getActualTypeArguments()

      Specified by:
        `getActualTypeArguments` in interface `ParameterizedType`

    - #### getRawType

          public Type getRawType()

      Specified by:
        `getRawType` in interface `ParameterizedType`

    - #### getOwnerType

          public Type getOwnerType()

      Specified by:
        `getOwnerType` in interface `ParameterizedType`

    - #### equals

          public boolean equals​(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`